> ## Documentation index
> Fetch the complete documentation index at: https://developer.rhombus.com/llms.txt
> Use it to discover all available pages before exploring further.

# Retrieve all component events relevant to the specified owner device

> Retrieve all component events relevant to the specified owner device (i.e. DC20's device uuid)

```http
POST https://api2.rhombussystems.com/api/component/findPaginatedComponentEventsByOwnerDevice
```

EU organizations send the same request to `https://api2.eu.rhombussystems.com`.

## Authentication and parameters

- `x-auth-apikey` (header, required): Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header set to `api-token` (or `partner-api-token` for partner endpoints).
- `Authorization` (header): instead of an API key, an OAuth access token (`Bearer <token>`) with the `read` scope.
- `x-auth-scheme` (header, string, default: `api-token`): Authentication scheme identifier. Use `api-token` or `partner-api-token` with the `x-auth-apikey` header, `api` or `partner-api` with `x-auth-apikey` plus a client certificate, `api-oauth-token` or `partner-api-oauth-token` with `x-auth-access-token`, and `federated-token` with `x-auth-ft`. A request with `Authorization: Bearer <token>` and no `x-auth-scheme` is treated as OAuth, and `federated-token` may also be sent as the `x-auth-scheme` and `x-auth-ft` query parameters. One of: `api-token`, `api`, `api-oauth-token`, `federated-token`, `partner-api-token`, `partner-api`, `partner-api-oauth-token`.
- `x-auth-org` (header, string<RUUID>): Client organization UUID (22-character RUUID), for partner credentials only. With it the call runs in that client organization with the partner support authority's role. Without it a partner credential runs as the partner organization, which outside the partner endpoints is deprecated (responses carry `Deprecation` and `Sunset: Tue, 05 Jan 2027 00:00:00 GMT`). A malformed value returns 400 `INVALID_AUTH_ORG`; a client organization the partner cannot access returns 403 `PARTNER_CLIENT_ACCESS_DENIED`.

## Request body

Content type: `application/json`

- `createdAfterMs` (integer<int64> | null)
- `createdBeforeMs` (integer<int64> | null)
- `lastEvaluatedKey` (string | null)
- `maxPageSize` (integer<int32> | null)
- `ownerDeviceUuid` (string<RUUID> | null): base 64 (url-safe) uuid string
- `reverseSearch` (boolean | null)
- `typeFilter` (array<string> | null)
- `userFilter` (array<string<RUUID> | null> | null)

## Response 200

OK. Content type: `application/json`

- `componentEvents` (array<object> | null)
- `error` (boolean | null)
- `errorCode` (string | null): Stable, machine-readable code for the failure (one of the ApiErrorCode catalog) when error is true. Branch on this, not on errorMsg.
- `errorMsg` (string | null)
- `lastEvaluatedKey` (string | null)
- `warningMsg` (string | null)

## Errors

Also 400, 401, 403, 429, 500, 503 with the standard error body (`errorCode`, `errorMsg`): https://developer.rhombus.com/errors

## OpenAPI

````yaml
openapi: 3.0.1
info:
  title: Rhombus API
  version: "1.0"
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/component/findPaginatedComponentEventsByOwnerDevice:
    post:
      description: Retrieve all component events relevant to the specified owner device (i.e. DC20's device uuid)
      operationId: findPaginatedComponentEventsByOwnerDevice
      parameters:
        - description: "Authentication scheme identifier. Use `api-token` or `partner-api-token` with the `x-auth-apikey` header, `api` or `partner-api` with `x-auth-apikey` plus a client certificate, `api-oauth-token` or `partner-api-oauth-token` with `x-auth-access-token`, and `federated-token` with `x-auth-ft`. A request with `Authorization: Bearer <token>` and no `x-auth-scheme` is treated as OAuth, and `federated-token` may also be sent as the `x-auth-scheme` and `x-auth-ft` query parameters."
          example: api-token
          in: header
          name: x-auth-scheme
          required: false
          schema:
            default: api-token
            enum:
              - api-token
              - api
              - api-oauth-token
              - federated-token
              - partner-api-token
              - partner-api
              - partner-api-oauth-token
            type: string
        - description: "Client organization UUID (22-character RUUID), for partner credentials only. With it the call runs in that client organization with the partner support authority's role. Without it a partner credential runs as the partner organization, which outside the partner endpoints is deprecated (responses carry `Deprecation` and `Sunset: Tue, 05 Jan 2027 00:00:00 GMT`). A malformed value returns 400 `INVALID_AUTH_ORG`; a client organization the partner cannot access returns 403 `PARTNER_CLIENT_ACCESS_DENIED`."
          in: header
          name: x-auth-org
          required: false
          schema:
            format: RUUID
            maxLength: 22
            minLength: 22
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: "#/components/schemas/Component_FindPaginatedComponentEventsByOwnerDeviceWSRequest"
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: "#/components/schemas/Component_FindPaginatedComponentEventsByOwnerDeviceWSResponse"
          description: OK
        "400":
          $ref: "#/components/responses/BadRequest"
        "401":
          $ref: "#/components/responses/Unauthorized"
        "403":
          $ref: "#/components/responses/Forbidden"
        "429":
          $ref: "#/components/responses/TooManyRequests"
        "500":
          $ref: "#/components/responses/InternalServerError"
        "503":
          $ref: "#/components/responses/ServiceUnavailable"
      security:
        - ApiKeyAuth: []
        - oauth2:
            - read
      summary: Retrieve all component events relevant to the specified owner device
      tags:
        - Component Webservice
components:
  schemas:
    Component_FindPaginatedComponentEventsByOwnerDeviceWSRequest:
      properties:
        createdAfterMs:
          format: int64
          nullable: true
          type: integer
        createdBeforeMs:
          format: int64
          nullable: true
          type: integer
        lastEvaluatedKey:
          nullable: true
          type: string
        maxPageSize:
          format: int32
          nullable: true
          type: integer
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        reverseSearch:
          nullable: true
          type: boolean
        typeFilter:
          items:
            $ref: "#/components/schemas/ComponentEventEnumType"
          nullable: true
          type: array
        userFilter:
          items:
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            format: RUUID
            nullable: true
            type: string
          nullable: true
          type: array
      type: object
    ComponentEventEnumType:
      description: Limits results to only contain the specified type of events, if applicable
      enum:
        - DoorbellEvent
        - DoorReaderStateChangeEvent
        - DoorRelayStateChangeEvent
        - DoorPositionIndicatorStateChangeEvent
        - RequestToExitStateChangeEvent
        - CredentialReceivedEvent
        - ButtonEvent
        - GenericInputStateChangeEvent
        - GenericRelayStateChangeEvent
        - AccessControlUnitTamperEvent
        - AccessControlUnitLocationLockdownStateEvent
        - DoorLocationLockdownStateEvent
        - PanicButtonEvent
        - AccessControlUnitBatteryStateChangeEvent
        - WaveToUnlockIntentExpiredEvent
        - DoorStateChangeEvent
        - DoorAuthFirstInStateEvent
        - DoorScheduleFirstInStateEvent
        - AccessControlUnitDoorFirstInStateEvent
        - AperioDoorExtensionStateEvent
        - AperioActivatorStateEvent
        - AperioKeyCylinderStateEvent
        - AperioDoorModeEvent
        - AperioDoorHandleStateEvent
        - AperioGatewayStateEvent
        - AperioGatewayConnectionStateChangeEvent
        - AperioDtcEvent
        - AperioTamperStateEvent
        - IntercomTalkEvent
        - SchlageDoorExtensionStateEvent
        - SchlageGatewayStateEvent
        - SchlageGatewayConnectionStateChangeEvent
        - SchlageDeviceConnectionStateChangeEvent
        - AperioDeviceConnectionStateChangeEvent
        - SchlageDeviceBatteryStateChangeEvent
      type: string
    Component_FindPaginatedComponentEventsByOwnerDeviceWSResponse:
      description: Response object for getting list of component events for the specified owner device with pagination support.
      properties:
        componentEvents:
          items:
            $ref: "#/components/schemas/ComponentEventType"
          nullable: true
          type: array
        error:
          nullable: true
          type: boolean
        errorCode:
          description: Stable, machine-readable code for the failure (one of the ApiErrorCode catalog) when error is true. Branch on this, not on errorMsg.
          nullable: true
          type: string
        errorMsg:
          nullable: true
          type: string
        lastEvaluatedKey:
          nullable: true
          type: string
        warningMsg:
          nullable: true
          type: string
      type: object
    ComponentEventType:
      description: List of component events for the doorbell camera
      discriminator:
        propertyName: type
      oneOf:
        - $ref: "#/components/schemas/DoorbellEventType"
        - $ref: "#/components/schemas/DoorReaderStateChangeEventType"
        - $ref: "#/components/schemas/DoorRelayStateChangeEventType"
        - $ref: "#/components/schemas/DoorPositionIndicatorStateChangeEventType"
        - $ref: "#/components/schemas/RequestToExitStateChangeEventType"
        - $ref: "#/components/schemas/CredentialReceivedEventType"
        - $ref: "#/components/schemas/ButtonEventType"
        - $ref: "#/components/schemas/GenericInputStateChangeEventType"
        - $ref: "#/components/schemas/GenericRelayStateChangeEventType"
        - $ref: "#/components/schemas/AccessControlUnitTamperEventType"
        - $ref: "#/components/schemas/AccessControlUnitLocationLockdownStateEventType"
        - $ref: "#/components/schemas/DoorLocationLockdownStateEventType"
        - $ref: "#/components/schemas/PanicButtonEventType"
        - $ref: "#/components/schemas/AccessControlUnitBatteryStateChangeEventType"
        - $ref: "#/components/schemas/WaveToUnlockIntentExpiredEvent"
        - $ref: "#/components/schemas/DoorStateChangeEvent"
        - $ref: "#/components/schemas/DoorAuthFirstInStateEvent"
        - $ref: "#/components/schemas/DoorScheduleFirstInStateEvent"
        - $ref: "#/components/schemas/AccessControlUnitDoorFirstInStateEvent"
        - $ref: "#/components/schemas/AperioDtcEvent"
        - $ref: "#/components/schemas/AperioDoorExtensionStateEvent"
        - $ref: "#/components/schemas/AperioActivatorStateEvent"
        - $ref: "#/components/schemas/AperioDoorModeEvent"
        - $ref: "#/components/schemas/AperioDoorHandleStateEvent"
        - $ref: "#/components/schemas/AperioKeyCylinderStateEvent"
        - $ref: "#/components/schemas/IntercomTalkEventType"
        - $ref: "#/components/schemas/SchlageDoorExtensionStateEvent"
        - $ref: "#/components/schemas/SchlageDeviceConnectionStateChangeEvent"
        - $ref: "#/components/schemas/AperioDeviceConnectionStateChangeEvent"
        - $ref: "#/components/schemas/SchlageDeviceBatteryStateChangeEvent"
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorbellEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newSupervisionState:
              $ref: "#/components/schemas/SupervisionStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    SupervisionStateEnumType:
      enum:
        - CUT_DETECTED
        - SHORT_DETECTED
        - NORMAL
        - INVALID
        - UNKNOWN
      type: string
    DoorReaderStateChangeEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/DoorReaderStateEnumType"
            reason:
              $ref: "#/components/schemas/DoorReaderStateChangeReasonEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorReaderStateEnumType:
      enum:
        - CONNECTED
        - DISCONNECTED
        - UNKNOWN
      type: string
    DoorReaderStateChangeReasonEnumType:
      enum:
        - FIRMWARE_UPGRADE
        - FORCED_REBOOT
        - UNKNOWN
      type: string
    DoorRelayStateChangeEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/DoorRelayStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorRelayStateEnumType:
      enum:
        - UNLOCKED
        - LOCKED
        - UNKNOWN
      type: string
    DoorPositionIndicatorStateChangeEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/DoorPositionIndicatorStateEnumType"
            newSupervisionState:
              $ref: "#/components/schemas/SupervisionStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorPositionIndicatorStateEnumType:
      enum:
        - OPEN
        - CLOSED
        - AJAR
        - FORCED_OPEN
        - ERROR
        - UNKNOWN
      type: string
    RequestToExitStateChangeEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            intentOnly:
              nullable: true
              type: boolean
            newState:
              $ref: "#/components/schemas/RequestToExitStateEnumType"
            newSupervisionState:
              $ref: "#/components/schemas/SupervisionStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    RequestToExitStateEnumType:
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
      type: string
    CredentialReceivedEventType:
      allOf:
        - properties:
            accessGrantOrRevocationUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            activeDoorLockdownState:
              $ref: "#/components/schemas/DoorLockdownStateEnumType"
            activeLockdownPlanUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            appName:
              nullable: true
              type: string
            appOS:
              nullable: true
              type: string
            appVersion:
              nullable: true
              type: string
            authDecisionSource:
              $ref: "#/components/schemas/AuthDecisionSourceEnum"
            authDecisionUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            authWaitTimeMs:
              format: int32
              nullable: true
              type: integer
            authWaitTimeMsTotal:
              format: int64
              nullable: true
              type: integer
            authenticationResult:
              $ref: "#/components/schemas/AccessControlAuthenticationResultEnumType"
            authorizationResult:
              $ref: "#/components/schemas/AccessControlAuthorizationResultEnumType"
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            credSource:
              $ref: "#/components/schemas/CredentialSourceEnumType"
            credentialHexValue:
              nullable: true
              type: string
            credentialUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            credentialValue:
              nullable: true
              type: string
            credentialValueLengthBits:
              format: int32
              nullable: true
              type: integer
            credentials:
              items:
                $ref: "#/components/schemas/CredentialEntry"
              nullable: true
              type: array
            deviceModel:
              nullable: true
              type: string
            managedCredentialUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            satisfiesFirstInSettingsUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            userAgent:
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorLockdownStateEnumType:
      enum:
        - LOCKED_DOWN
        - ACCESS_CONTROLLED
        - UNLOCKED
        - UNKNOWN
      type: string
    AuthDecisionSourceEnum:
      enum:
        - ACCESS_GRANT
        - ACCESS_REVOCATION
        - LOCKDOWN
        - FIRST_IN_SETTINGS
        - CONFIG
        - ADMIN
        - PRIVACY
        - ERROR
        - UNKNOWN
      type: string
    AccessControlAuthenticationResultEnumType:
      enum:
        - ACCEPTED
        - REJECTED
        - ERROR
        - NA
      type: string
    AccessControlAuthorizationResultEnumType:
      enum:
        - ALLOWED
        - DENIED
        - DISABLED
        - ERROR
        - NA
      type: string
    CredentialSourceEnumType:
      enum:
        - UNKNOWN
        - NFC
        - BLE_WAVE
        - BLE
        - WIEGAND
        - REMOTE
        - REMOTE_ADMIN
        - UNK_3P_OSDP
        - APERIO_NFC
        - APERIO_LF
        - APERIO_KEYPAD
        - SCHLAGE_NFC
        - SCHLAGE_LF
        - SCHLAGE_KEYPAD
        - KEYPAD_WIEGAND
        - KEYPAD_OSDP
        - BLE_PROX
        - QR_CODE
      type: string
    CredentialEntry:
      discriminator:
        propertyName: credSource
      nullable: true
      oneOf:
        - $ref: "#/components/schemas/CredentialEntryBleWave"
      properties:
        credSource:
          $ref: "#/components/schemas/CredentialSourceEnumType"
        credentialId:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        firstInEligible:
          nullable: true
          type: boolean
        originator:
          $ref: "#/components/schemas/BaseEventOriginator"
      type: object
    CredentialEntryBleWave:
      allOf:
        - properties:
            finalRssi:
              format: int32
              nullable: true
              type: integer
            firstRssi:
              format: int32
              nullable: true
              type: integer
            firstRssiAtIntentElapsed:
              format: int32
              nullable: true
              type: integer
            lostAtIntentElapsed:
              format: int32
              nullable: true
              type: integer
            lostAtRssi:
              format: int32
              nullable: true
              type: integer
            maxRssi:
              format: int32
              nullable: true
              type: integer
            maxRssiAtIntentElapsed:
              format: int32
              nullable: true
              type: integer
            sessionFirstRssi:
              format: int32
              nullable: true
              type: integer
            sessionFirstRssiAtElapsed:
              format: int32
              nullable: true
              type: integer
            sessionLostAtElapsed:
              format: int32
              nullable: true
              type: integer
            sessionLostAtRssi:
              format: int32
              nullable: true
              type: integer
            sessionMaxRssi:
              format: int32
              nullable: true
              type: integer
            sessionMaxRssiAtElapsed:
              format: int32
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        credSource:
          $ref: "#/components/schemas/CredentialSourceEnumType"
        credentialId:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        firstInEligible:
          nullable: true
          type: boolean
        originator:
          $ref: "#/components/schemas/BaseEventOriginator"
      type: object
    BaseEventOriginator:
      discriminator:
        propertyName: type
      oneOf:
        - $ref: "#/components/schemas/SupportAuthorityEventOriginator"
        - $ref: "#/components/schemas/ApiTokenEventOriginator"
        - $ref: "#/components/schemas/UserEventOriginator"
        - $ref: "#/components/schemas/RuleEventOriginator"
        - $ref: "#/components/schemas/ComponentCompositeEventOriginator"
        - $ref: "#/components/schemas/GuestPassEventOriginator"
        - $ref: "#/components/schemas/DeviceServiceEventOriginator"
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    SupportAuthorityEventOriginator:
      allOf:
        - properties:
            grantedToInternalEntityUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            grantedToName:
              nullable: true
              type: string
            supportAuthorityUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            supportUserEmail:
              nullable: true
              type: string
            supportUsername:
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    EventOriginatorEnum:
      enum:
        - USER
        - SUPPORT_AUTHORITY
        - API_TOKEN
        - RULE
        - COMPONENT_COMPOSITE_EVENT
        - GUEST_PASS
        - DEVICE_SERVICE
        - UNKNOWN
      type: string
    ApiTokenEventOriginator:
      allOf:
        - properties:
            tokenName:
              nullable: true
              type: string
            tokenUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    UserEventOriginator:
      allOf:
        - properties:
            userEmail:
              nullable: true
              type: string
            userUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            username:
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    RuleEventOriginator:
      allOf:
        - properties:
            ruleName:
              nullable: true
              type: string
            ruleUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    ComponentCompositeEventOriginator:
      allOf:
        - properties:
            componentCompositeName:
              nullable: true
              type: string
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            correlationId:
              nullable: true
              type: string
            eventUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    GuestPassEventOriginator:
      allOf:
        - properties:
            guestPassName:
              nullable: true
              type: string
            guestPassUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    DeviceServiceEventOriginator:
      allOf:
        - properties:
            deviceUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            serviceName:
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        auditPrincipal:
          nullable: true
          type: string
        type:
          $ref: "#/components/schemas/EventOriginatorEnum"
      type: object
    ButtonEventType:
      allOf:
        - properties:
            buttonPress:
              $ref: "#/components/schemas/ButtonPressEnum"
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newSupervisionState:
              $ref: "#/components/schemas/SupervisionStateEnumType"
            pressDurationMillis:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    ButtonPressEnum:
      enum:
        - NONE
        - SINGLE
        - DOUBLE
        - LONG
        - INITIAL_PRESS
        - LONG_RELEASE
      type: string
    GenericInputStateChangeEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/GenericInputStateEnumType"
            newSupervisionState:
              $ref: "#/components/schemas/SupervisionStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    GenericInputStateEnumType:
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
      type: string
    GenericRelayStateChangeEventType:
      allOf:
        - properties:
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            steadyState:
              $ref: "#/components/schemas/GenericRelayStateEnumType"
            steadyStateChangedAtMs:
              format: int64
              nullable: true
              type: integer
            transientState:
              $ref: "#/components/schemas/GenericRelayStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    GenericRelayStateEnumType:
      enum:
        - ACTIVE
        - INACTIVE
        - UNKNOWN
      type: string
    AccessControlUnitTamperEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            source:
              $ref: "#/components/schemas/AccessControlUnitTamperSourceEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AccessControlUnitTamperSourceEnumType:
      enum:
        - PROX
        - ACCEL
        - SWITCH
        - NA
      type: string
    AccessControlUnitLocationLockdownStateEventType:
      allOf:
        - properties:
            activatedLockdownPlans:
              items:
                $ref: "#/components/schemas/LockdownPlanReference"
              nullable: true
              type: array
            activeLockdownPlans:
              items:
                $ref: "#/components/schemas/LockdownPlanReference"
              nullable: true
              type: array
            deactivatedLockdownPlans:
              items:
                $ref: "#/components/schemas/LockdownPlanReference"
              nullable: true
              type: array
            doorEventReferenceMap:
              additionalProperties:
                $ref: "#/components/schemas/DoorLockdownStateEventReference"
              nullable: true
              type: object
            followingTestPlan:
              nullable: true
              type: boolean
            locationLockdownStateChangedAtMillis:
              format: int64
              nullable: true
              type: integer
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            state:
              $ref: "#/components/schemas/LocationLockdownStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    LockdownPlanReference:
      properties:
        lockdownPlanUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        scope:
          $ref: "#/components/schemas/LockdownPlanScopeEnumType"
        scopeUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    LockdownPlanScopeEnumType:
      enum:
        - ORG_LOCKDOWN
        - LOCATION_LOCKDOWN
      type: string
    DoorLockdownStateEventReference:
      nullable: true
      properties:
        activatedLockdownPlan:
          $ref: "#/components/schemas/LockdownPlanReference"
        activeLockdownPlan:
          $ref: "#/components/schemas/LockdownPlanReference"
        deactivatedLockdownPlan:
          $ref: "#/components/schemas/LockdownPlanReference"
        doorEventUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        doorUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    LocationLockdownStateEnumType:
      enum:
        - STANDARD_SECURITY
        - LOCKED_DOWN
      type: string
    DoorLocationLockdownStateEventType:
      allOf:
        - properties:
            activatedLockdownPlan:
              $ref: "#/components/schemas/LockdownPlanReference"
            activeLockdownPlan:
              $ref: "#/components/schemas/LockdownPlanReference"
            acuEventUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            deactivatedLockdownPlan:
              $ref: "#/components/schemas/LockdownPlanReference"
            followingTestPlan:
              nullable: true
              type: boolean
            locationLockdownStateChangedAtMillis:
              format: int64
              nullable: true
              type: integer
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            state:
              $ref: "#/components/schemas/LocationLockdownStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    PanicButtonEventType:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newSupervisionState:
              $ref: "#/components/schemas/SupervisionStateEnumType"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AccessControlUnitBatteryStateChangeEventType:
      allOf:
        - properties:
            batteryFound:
              nullable: true
              type: boolean
            batteryMa:
              format: int32
              nullable: true
              type: integer
            batteryMv:
              format: int32
              nullable: true
              type: integer
            onBackupPower:
              nullable: true
              type: boolean
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    WaveToUnlockIntentExpiredEvent:
      allOf:
        - properties:
            authWaitMs:
              format: int64
              nullable: true
              type: integer
            authWaitMsTotal:
              format: int32
              nullable: true
              type: integer
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            credentials:
              items:
                $ref: "#/components/schemas/CredentialEntry"
              nullable: true
              type: array
            rssiThreshold:
              format: int32
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorStateChangeEvent:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/AccessControlledDoorStateEnumType"
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            source:
              $ref: "#/components/schemas/AccessStateSourceEnum"
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AccessControlledDoorStateEnumType:
      enum:
        - UNLOCKED
        - ACCESS_CONTROLLED
      type: string
    AccessStateSourceEnum:
      enum:
        - DEFAULT_STATE
        - SCHEDULE
        - SCHEDULE_EXCEPTION
        - FIRST_IN
        - DOOR_STATE_OVERRIDE
        - LOCKDOWN
        - PRIVACY
        - UNKNOWN
      type: string
    DoorAuthFirstInStateEvent:
      allOf:
        - properties:
            acuEventUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/FirstInFirmwareStatusEnum"
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            settingsUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            source:
              $ref: "#/components/schemas/FirstInSourceEnum"
            stateChangedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    FirstInFirmwareStatusEnum:
      enum:
        - DISABLED
        - NOT_CONFIGURED
        - REQUIRED
        - SATISFIED
        - UNKNOWN
      type: string
    FirstInSourceEnum:
      enum:
        - CONFIG_MANUAL_OVERRIDE
        - CONFIG_REQUIREMENT_CHANGE
        - CONFIG_MEMBERSHIP
        - SCHEDULED_RESET
        - LOCAL_BADGE_EVENT
        - LOCKDOWN
        - UNKNOWN
      type: string
    DoorScheduleFirstInStateEvent:
      allOf:
        - properties:
            acuEventUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            newState:
              $ref: "#/components/schemas/FirstInFirmwareStatusEnum"
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            settingsUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            source:
              $ref: "#/components/schemas/FirstInSourceEnum"
            stateChangedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AccessControlUnitDoorFirstInStateEvent:
      allOf:
        - properties:
            doorAuthFirstInEventReference:
              $ref: "#/components/schemas/DoorFirstInStateChangeEventReference"
            doorScheduleFirstInEventReference:
              $ref: "#/components/schemas/DoorFirstInStateChangeEventReference"
            settingsUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DoorFirstInStateChangeEventReference:
      nullable: true
      properties:
        doorUuidToEventUuidMap:
          additionalProperties:
            description: base 64 (url-safe) uuid string
            example: AAAAAAAAAAAAAAAAAAAAAA
            format: RUUID
            nullable: true
            type: string
          nullable: true
          type: object
        newState:
          $ref: "#/components/schemas/FirstInFirmwareStatusEnum"
        originatingDoorUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        originatingUserUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        originator:
          $ref: "#/components/schemas/BaseEventOriginator"
        source:
          $ref: "#/components/schemas/FirstInSourceEnum"
        stateChangedAtMs:
          format: int64
          nullable: true
          type: integer
      type: object
    AperioDtcEvent:
      allOf:
        - properties:
            aperioDeviceId:
              items:
                format: byte
                nullable: true
                type: string
              nullable: true
              type: array
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            dtcs:
              items:
                $ref: "#/components/schemas/DtcInfo"
              nullable: true
              type: array
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    DtcInfo:
      nullable: true
      properties:
        code:
          items:
            format: byte
            nullable: true
            type: string
          nullable: true
          type: array
        failing:
          nullable: true
          type: boolean
        hasFailed:
          nullable: true
          type: boolean
        testCompleted:
          nullable: true
          type: boolean
        time:
          format: int64
          nullable: true
          type: integer
      type: object
    AperioDoorExtensionStateEvent:
      allOf:
        - properties:
            activatorState:
              format: int32
              nullable: true
              type: integer
            activatorStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            aperioDoorDeviceId:
              items:
                format: byte
                nullable: true
                type: string
              nullable: true
              type: array
            aperioId:
              nullable: true
              type: string
            clockRetrievedAtMs:
              format: int64
              nullable: true
              type: integer
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            connected:
              nullable: true
              type: boolean
            connectionStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            deviceClockSec:
              format: int64
              nullable: true
              type: integer
            deviceTimezone:
              format: int32
              nullable: true
              type: integer
            doorMode:
              format: int32
              nullable: true
              type: integer
            doorModeUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            dtcs:
              items:
                $ref: "#/components/schemas/DtcInfo"
              nullable: true
              type: array
            handleState:
              format: int32
              nullable: true
              type: integer
            handleStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            keyCylinderState:
              format: int32
              nullable: true
              type: integer
            keyCylinderStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            removed:
              nullable: true
              type: boolean
            tamperState:
              format: int32
              nullable: true
              type: integer
            tamperStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AperioActivatorStateEvent:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            state:
              format: int32
              nullable: true
              type: integer
            stateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AperioDoorModeEvent:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            state:
              format: int32
              nullable: true
              type: integer
            stateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AperioDoorHandleStateEvent:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            state:
              format: int32
              nullable: true
              type: integer
            stateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    AperioKeyCylinderStateEvent:
      allOf:
        - properties:
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            state:
              format: int32
              nullable: true
              type: integer
            stateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    IntercomTalkEventType:
      allOf:
        - properties:
            originator:
              $ref: "#/components/schemas/BaseEventOriginator"
            state:
              $ref: "#/components/schemas/IntercomTalkStateEnumType"
            talkSessionUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
      type: object
    IntercomTalkStateEnumType:
      description: Whether the operator started or ended talking
      enum:
        - STARTED
        - ENDED
      type: string
    SchlageDoorExtensionStateEvent:
      allOf:
        - properties:
            apmConfig:
              items:
                format: byte
                nullable: true
                type: string
              nullable: true
              type: array
            apmConfigUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            batteryMillivolts:
              format: int32
              nullable: true
              type: integer
            batteryState:
              $ref: "#/components/schemas/SchlageBatteryStateEnum"
            batteryStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            componentCompositeUuid:
              description: base 64 (url-safe) uuid string
              example: AAAAAAAAAAAAAAAAAAAAAA
              format: RUUID
              nullable: true
              type: string
            connected:
              nullable: true
              type: boolean
            connectionStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            doorMode:
              format: int32
              nullable: true
              type: integer
            doorModeUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            firmwareVersion:
              nullable: true
              type: string
            interpretedDoorMode:
              $ref: "#/components/schemas/SchlageInterpretedDoorModeEnum"
            keyOverrideState:
              format: int32
              nullable: true
              type: integer
            keyOverrideStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
            lithiumMillivolts:
              format: int32
              nullable: true
              type: integer
            productType:
              format: int32
              nullable: true
              type: integer
            serial:
              nullable: true
              type: string
            tamperState:
              $ref: "#/components/schemas/SchlageTamperStateEnum"
            tamperStateUpdatedAtMs:
              format: int64
              nullable: true
              type: integer
          type: object
      nullable: true
      properties:
        componentUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        correlationId:
          nullable: true
          type: string
        createdAtMs:
          format: int64
          nullable: true
          type: integer
        locationUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        orgUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        ownerDeviceUuid:
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          format: RUUID
          nullable: true
          type: string
        subLocationsHierarchyKey:
          description: |
            A sequence of one or more base 64 (url-safe) uuid substrings.
            These substrings are separated by dots (.).
          example: AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA.AAAAAAAAAAAAAAAAAAAAAA
          format: SubLocationsHierarchyKey
          nullable: true
          pattern: ^([A-Za-z0-9\-_]{22})([.][A-Za-z0-9\-_]{22})*$
          type: string
        timestampMs:
          format: int64
          nullable: true
          type: integer
        type:
          $ref: "#/components/schemas/ComponentEventEnumType"
        uuid:
[...]
